trader_macd
trader_macdfix
Trader Functions
PHP Manual

# trader_macdext

MACD with controllable MA type

### Description

array trader_macdext ( array `$real` [, integer `$fastPeriod` [, integer `$fastMAType` [, integer `$slowPeriod` [, integer `$slowMAType` [, integer `$signalPeriod` [, integer `$signalMAType` ]]]]]] )

### Parameters

`real`

  Array of real values.

`fastPeriod`

  Number of period for the fast MA. Valid range from 2 to 100000.

`fastMAType`

  Type of Moving Average for fast MA. TRADER_MA_TYPE_* series of constants should be used.

`slowPeriod`

  Number of period for the slow MA. Valid range from 2 to 100000.

`slowMAType`

  Type of Moving Average for slow MA. TRADER_MA_TYPE_* series of constants should be used.

`signalPeriod`

  Smoothing for the signal line (nb of period). Valid range from 1 to 100000.

`signalMAType`

  Type of Moving Average for signal line. TRADER_MA_TYPE_* series of constants should be used.

### Return Values

Returns an array with calculated data or false on failure.